RTADVD(8)

NAME
rtadvd - router advertisement daemon

SYNOPSIS
rtadvd [-ds] [-c configfile] interface ...

DESCRIPTION
rtadvd sends router advertisement packets to the specified interfaces.

The program will daemonize itself on invocation. It will then send router advertisement packets periodically, as well as in response to router solicitation messages sent by end hosts.

Router advertisements can be configured on a per-interface basis, as described in rtadvd.conf(5).

If there is no configuration file entry for an interface, or if the configuration file does not exist at all, rtadvd sets all the parameters to their default values. In particular, rtadvd reads all the interface routes from the routing table and advertises them as on-link prefixes.

rtadvd also watches the routing table. By default, if an interface direct route is added/deleted on an advertising interface and no static prefixes are specified by the configuration file, rtadvd adds/deletes the corresponding prefix to/from its advertising list, respectively. The -s option may be used to disable this behavior. Moreover, if the status of an advertising interface changes, rtadvd will start or stop sending router advertisements according to the latest status.

Basically, hosts MUST NOT send Router Advertisement messages at any time (RFC 4861, Section 6.2.4). However, it would sometimes be useful to allow hosts to advertise some parameters such as prefix information and link MTU. Thus, rtadvd can be invoked if router lifetime is explicitly set to zero on every advertising interface.

The command line options are:

-c configfile
    Specify an alternate location, configfile, for the configuration file. By default, /etc/rtadvd.conf is used.

-d  Do not daemonize. If this option is specified, rtadvd will run in the foreground and log to stderr.

-s  Do not add or delete prefixes dynamically. Only statically configured prefixes, if any, will be advertised.

Upon receipt of signal SIGUSR1, rtadvd will dump the current internal state into syslog(3).

Use SIGTERM to kill rtadvd gracefully. In this case, rtadvd will transmit router advertisement with router lifetime 0 to all the interfaces (in accordance with RFC 4861 6.2.5).

FILES
/etc/rtadvd.conf
    The default configuration file.

EXIT STATUS

SEE ALSO
rtadvd.conf(5), syslogd(8)

HISTORY
The rtadvd command first appeared in the WIDE Hydrangea IPv6 protocol stack kit.

BUGS
There used to be some text that recommended users not to let rtadvd advertise Router Advertisement messages on an upstream link to avoid undesirable icmp6(4) redirect messages. However, based on later discussion in the IETF IPng working group, all routers should rather advertise the messages regardless of the network topology, in order to ensure reachability.